#!/bin/bash

##################################################
# PSXC-IMDB-FIND
################
#
# An addon to psxc-imdb.
# Please read the README, then edit config below.
##################################################

########
# CONFIG

# Version. No need to change.
VERSION=0.1

# (full) path to psxc-imdb.conf
PSXC_IMDB_CONF=/glftpd/etc/psxc-imdb.conf

# END OF CONFIG
###############

IMDBSEARCHORIG=`echo "$@" | tr -d '}{'`
IMDBSEARCHWORD=`echo "$IMDBSEARCHORIG" | awk '{print $1}'`
IMDBSEARCHTITLE=`echo "$IMDBSEARCHORIG" | tr ' ' '+'`
. $PSXC_IMDB_CONF

CONTENT=`lynx -dump -width=1000 -hiddenlinks=ignore -connect_timeout=10 http://us.imdb.com/find?q=$IMDBSEARCHTITLE`
LINKNO=`echo "$CONTENT" | grep -i "$IMDBSEARCHWORD" | grep -e "\ 1\.\ " | head -n 1 | cut -d "[" -f 2 | cut -d "]" -f 1`
if [ ! -z "$LINKNO" ]; then
 URLTOUSE=`echo "$CONTENT" | awk /eferences$/,/theendofthefile/ | grep -e "$LINKNO\.\ " | head -n 1 | tr ' ' '\n' | grep -e "imdb" | head -n 1`
else
 URLTOUSE=""
fi
if [ -z "$URLTOUSE" ]; then
 WGETOUT=`wget -U "Internet Explorer" -O /dev/null http://us.imdb.com/find?q=$IMDBSEARCHTITLE 2>&1`
 URLTOUSE=`echo "$WGETOUT" | tr ' ' '\n' | grep -e "imdb" | grep -i -e "\/title\/" | head -n 1`
fi
if [ ! -z "$URLTOUSE" ]; then
 echo "\002IMDB :\002 '$IMDBSEARCHORIG' found @ $URLTOUSE. Please wait while formatting info.."
 echo "$URLTOUSE|/dev/null" | sed "s%/|%|%" >>$IMDBLOG
else
 echo "\002IMDB :\002 Sorry, nothing found on '$IMDBSEARCHORIG'."
fi
exit 0
